Нестабильные или уязвимые дополнения помещаются в черный список

Дополнения (расширения, темы и плагины), нарушающие руководящие принципы дополнений Mozilla, помещаются в "чёрный список".

Как работает чёрный список?

Отключение уязвимых дополнений

Firefox заблокирует уязвимые дополнения при загрузке и предупредит вас следующим сообщением:

Firefox определил, что следующие дополнения вызывают проблемы со стабильностью или безопасностью


Add-ons Blocklist Mac1

Для предотвращения запуска этих дополнений нажмите Перезапустить Firefox.

Блокировка установки уязвимых дополнений

При попытке установить уязвимое дополнение, находящееся в черном списке, Firefox заблокирует его установку и покажет следующее сообщение:

Дополнение имя не может быть установлено, так как есть высокий риск, что оно вызовет проблемы со стабильностью или безопасностью.

Предотвращение автоматического запуска плагинов

Firefox может предотвратить автоматический запуск плагинов (что убережет вас от множества проблем). Когда Firefox заблокирует плагин, вы увидите похожее сообщение:

Click to play 1 new

Вы сможете выбрать запускать ли плагин, или обновить его (если доступно обновление). Чтобы узнать больше, ознакомьтесь со статьей Почему я должен щёлкать по плагину для его включения?

7 марта 2017, после выпуска Firefox версии 52, прекращена поддержка всех NPAPI плагинов, кроме Adobe Flash. Подробную информацию прочитайте в этом документе о совместимости и в этой статье.

Начиная с Firefox версии 52, прекращена поддержка всех NPAPI плагинов, за исключением Adobe Flash. Подробную информацию прочитайте в этом документе о совместимости и в этой статье.

Необходимые действия

Если установленное дополнение отключено

Расширения или темы

  1. Щёлкните по кнопке меню New Fx Menu и выберите Дополнения. Будет открыта вкладка Управление дополнениями.

  2. На вкладке Управление дополнениями, выберите панель Расширения.
  3. В меню "Инструменты для всех дополнений" Add-on Tools Icon убедитесь, что параметр Автоматически обновлять дополнения отмечен галочкой.

Плагины

Проверьте, есть ли обновленная версия вашего плагина. Если обновление недоступно, вам может понадобиться связаться с разработчиком заблокированного плагина.

Если установка дополнения заблокирована

Если установка дополнения была заблокирована, проверьте, не появилась ли новая версия этого дополнения.

Примечание: Если более новой версии нет, вам может понадобиться связаться с разработчиком заблокированного дополнения.

Какие уязвимые дополнения находятся в черном списке?

Прочтите список заблокированных дополнений.

Помогла ли эта статья? Пожалуйста, подождите...

Следующие хорошие люди помогли написать эту статью: Unghost, TristisOris, Harry, Anticisco Freeman, Valery Ledovskoy, Victor Bychek. Вы тоже можете помочь - узнайте как.